# 模型文件调度器

## 项目结构
![项目结构](docs/setup/server/centos/app-server/img/scheduler_001.jpg)

    如图中所标记
    1. protobuf自动生成类
    2. 对外服务接口
    3. 实体类
    4. TCP服务器端
    5. 所有的服务类
    6. 常用的服务
    7. protobuf定义文件
    8. 配置文件
    9. 测试类
    10. Gradle的build文件
    
## 项目介绍

### 功能
    1. 提供接受处理模型的任务, 接受模型客户端连接, 并根据roundRobbin算法调度任务给各个客户端处理服务
    2. 提供检索任务状态, 任务处理结果服务
    3. 提供给客户端提交任务处理结果和状态的服务
    
### 技术细节
    1. 跟客户端的连接和通信使用netty(tcp)和protobuf编码解码
    2. 发送JMS消息使用activemq
    
## 打包

    如果打测试包, 在右侧Gradle的管理页面里双击任务buildDevJar或者buildDevWar即可. 打包内容中就会
    把左侧资源文件包resources和resources-dev的内容加入到打包的资源内, 建议在打包前把上次打包的文件删除
    

## 服务依赖
    无