package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import cn.sagacloud.server.datacenter.models.entities.task.SchemeUtils
import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.annotations.SCascade
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 资产信息实体类
 *
 * @author  自动生成
 */
@ApiModel(description = "资产信息实体类")
@Table(name = "dict.class_def")
open class class_def : BaseInfo(),Comparator<class_def> {

    /** 分类code */
    @ApiModelProperty(value = "分类code", required = true)
    @Column(name = "id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称", required = true)
    @Column(name = "name")
    var name: String? = null

    /** 父类指针 */
    @ApiModelProperty(value = "父类指针", required = true)
    @Column(name = "parent_id")
    var parent_id: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    var last_update: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    var create_time: Date? = null

    /** 标志 1为专业 2为系统 3为设备 4为部件 */
    @ApiModelProperty(value = "标志 1为专业 2为系统 3为设备 4为部件")
    @Column(name = "sign")
    var sign: String? = null

    /** 对应物理世界对象标志 */
    @ApiModelProperty(value = "对应物理世界对象标志")
    @Column(name = "type_platform")
    var type_platform: String? = null

} // Class Property